package defaults;

import java.util.ArrayList;

import reference.GameStateDirectory;

import eng.GameState;
import eng.Data;

public class Default {
	
	public static String getTitle() {
		return "Kaeon ACE Z";
	}
	
	public static boolean isFullScreen() {
		return true;
	}
	
	public static int getFramePeriod() {
		return 17;
	}
	
	public static int getGarbageCollectionPeriod() {
		return 5000;
	}
	
	public static Data getInitialData() {
		
		Data data = new Data();
		
		return data;
	}
	
	public static ArrayList<GameState> getInitialStack() {
		
		ArrayList<GameState> stack = new ArrayList<GameState>();
		
		stack.add(GameStateDirectory.getGameState("Level, Home"));
		
		return stack;
	}
}